summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author crocket2010-11-28 08:29:44 +0100
committer Heinz Wiesinger2010-11-29 12:45:57 +0100
commit60fce2d1e3143592ec597cfb0edecb1a33d7212c (patch)
treebc70da6fb15c9c49b2877478c9ef09bf512198e6
parentddf60938798d367d28555bf2908d9299d567c2ab (diff)
downloadslackbuilds-60fce2d1e3143592ec597cfb0edecb1a33d7212c.tar.gz
libraries/totem-pl-parser: Added (totem playlist parser)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--libraries/totem-pl-parser/README2
-rw-r--r--libraries/totem-pl-parser/slack-desc19
-rw-r--r--libraries/totem-pl-parser/totem-pl-parser.SlackBuild82
-rw-r--r--libraries/totem-pl-parser/totem-pl-parser.info10
4 files changed, 113 insertions, 0 deletions
diff --git a/libraries/totem-pl-parser/README b/libraries/totem-pl-parser/README
new file mode 100644
index 0000000000..ccc5a912c3
--- /dev/null
+++ b/libraries/totem-pl-parser/README
@@ -0,0 +1,2 @@
+The totem playlist parser is a simple GObject-based library to
+parse a host of playlist formats, as well as save those.
diff --git a/libraries/totem-pl-parser/slack-desc b/libraries/totem-pl-parser/slack-desc
new file mode 100644
index 0000000000..e1d82dcdd3
--- /dev/null
+++ b/libraries/totem-pl-parser/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+totem-pl-parser: totem-pl-parser (totem playlist parser)
+totem-pl-parser:
+totem-pl-parser: The totem playlist parser is a simple GObject-based library to
+totem-pl-parser: parse a host of playlist formats, as well as save those.
+totem-pl-parser:
+totem-pl-parser:
+totem-pl-parser:
+totem-pl-parser:
+totem-pl-parser:
+totem-pl-parser:
+totem-pl-parser:
diff --git a/libraries/totem-pl-parser/totem-pl-parser.SlackBuild b/libraries/totem-pl-parser/totem-pl-parser.SlackBuild
new file mode 100644
index 0000000000..ffe5d58d50
--- /dev/null
+++ b/libraries/totem-pl-parser/totem-pl-parser.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for totem-pl-parser
+
+# Written by crocket (crockabiscuit@yahoo.com)
+
+PRGNAM=totem-pl-parser
+VERSION=${VERSION:-2.28.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING.LIB ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/totem-pl-parser/totem-pl-parser.info b/libraries/totem-pl-parser/totem-pl-parser.info
new file mode 100644
index 0000000000..df91c69da4
--- /dev/null
+++ b/libraries/totem-pl-parser/totem-pl-parser.info
@@ -0,0 +1,10 @@
+PRGNAM="totem-pl-parser"
+VERSION="2.28.3"
+HOMEPAGE="ftp://ftp.gnome.org/pub/gnome/sources/totem-pl-parser"
+DOWNLOAD="ftp://ftp.gnome.org/pub/gnome/sources/totem-pl-parser/2.28/totem-pl-parser-2.28.3.tar.bz2"
+MD5SUM="78da14e208c982cdd518e84e5e53e3fc"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="crocket"
+EMAIL="crockabiscuit@yahoo.com"
+APPROVED="rworkman"